﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Reflection;
using wordProcessing;
using kmeans;

namespace ngramsTest
{
    class Program
    {
        static void Main(string[] args)
        {
            string rootFolder = @"..//..//..//..//PATENTCORPUS128";
            string extension = "*.txt";
            string dataFolder = "data";
            string filesList = "ProcessedFilesList.txt";
            string dataFile = "DocWordMatrix.dat";
            string path = Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location);
            dataFolder = Path.Combine(path, dataFolder);
            filesList = Path.Combine(dataFolder, filesList);
            dataFile = Path.Combine(dataFolder, dataFile);

            DirectoryInfo di = new DirectoryInfo(rootFolder);
            if (!di.Exists)
            {
                Console.WriteLine("The data folder not found, please correct the path");
                return;
            }
            
            DateTime start = DateTime.Now;
            //
            WordProcessing wp = new WordProcessing(dataFolder, filesList, dataFile);
            wp.processFiles(rootFolder, extension);
            //
            KMeans km = new KMeans();
            km.computeKmeans(dataFile, 8);
            //
            DateTime end = DateTime.Now;
            TimeSpan duration = end - start;
            double time = duration.Minutes * 60.0 + duration.Seconds + duration.Milliseconds / 1000.0;
            Console.WriteLine("Total processing time {0:########.00} seconds", time);
        }
    }
}
